Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.server.impl
Class ServerInvocationContextImpl

    java.lang.Object
      org.jboss.portal.common.invocation.AbstractInvocationContext
          org.jboss.portal.server.impl.ServerInvocationContextImpl

All Implemented Interfaces:
  org.jboss.portal.common.invocation.InvocationContext, ServerInvocationContext

    public class ServerInvocationContextImpl

extends org.jboss.portal.common.invocation.AbstractInvocationContext
implements ServerInvocationContext

Version:
  $Revision: 11136 $
Author:
  Julien Viet

Nested Class Summary
`class` | `ServerInvocationContextImpl.Buffer`

Constructor Summary
`ServerInvocationContextImpl(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp, org.jboss.portal.web.WebRequest webReq, java.lang.String portalHost, java.lang.String portalRequestPath, java.lang.String portalContextPath, URLContext urlContext)`

Method Summary
`org.jboss.portal.common.util.ParameterMap` | `getBodyParameterMap()` Return the parameter map for the body if the request was a POST with the content type x-www-formurlencoded otherwise return null.
`javax.servlet.http.HttpServletRequest` | `getClientRequest()` Return the request that made the connection to the server.
`javax.servlet.http.HttpServletResponse` | `getClientResponse()` Return the response that will be used by the server.
`java.lang.String` | `getMediaType()` Return the normalized media type of the request or null if none has been provided by the client.
`java.lang.String` | `getPortalContextPath()` Return the value of the portal context path for this request.
`java.lang.String` | `getPortalHost()` Return the portal host value for this request.
`java.lang.String` | `getPortalRequestPath()` Return the value of the portal request path for this request.
`org.jboss.portal.common.util.ParameterMap` | `getQueryParameterMap()` Return the parameter map decoded form the query string.
`URLContext` | `getURLContext()` Return the url context of this request.
`org.jboss.portal.web.WebRequest` | `getWebRequest()`
`java.lang.String` | `renderURL(ServerURL url, URLContext context, URLFormat format)` Renders an URL.

Methods inherited from class org.jboss.portal.common.invocation.AbstractInvocationContext
`addResolver, addResolver, getAttribute, getAttributeResolver, removeAttribute, setAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.portal.common.invocation.InvocationContext
`getAttribute, getAttributeResolver, removeAttribute, setAttribute`

Constructor Detail

### ServerInvocationContextImpl

    public ServerInvocationContextImpl(javax.servlet.http.HttpServletRequest req,
                                       javax.servlet.http.HttpServletResponse resp,
                                       org.jboss.portal.web.WebRequest webReq,
                                       java.lang.String portalHost,
                                       java.lang.String portalRequestPath,
                                       java.lang.String portalContextPath,
                                       URLContext urlContext)

Method Detail

### getWebRequest

    public org.jboss.portal.web.WebRequest getWebRequest()

### getClientRequest

    public javax.servlet.http.HttpServletRequest getClientRequest()

  Description copied from interface: `ServerInvocationContext`
  Return the request that made the connection to the server.

  Specified by:
    `getClientRequest` in interface `ServerInvocationContext`
  Returns:
    the http request.

### getClientResponse

    public javax.servlet.http.HttpServletResponse getClientResponse()

  Description copied from interface: `ServerInvocationContext`
  Return the response that will be used by the server.

  Specified by:
    `getClientResponse` in interface `ServerInvocationContext`
  Returns:
    the http response

### getMediaType

    public java.lang.String getMediaType()

  Description copied from interface: `ServerInvocationContext`
  Return the normalized media type of the request or null if none has been provided by the client.

  Specified by:
    `getMediaType` in interface `ServerInvocationContext`
  Returns:
    the media type

### getURLContext

    public URLContext getURLContext()

  Description copied from interface: `ServerInvocationContext`
  Return the url context of this request.

  Specified by:
    `getURLContext` in interface `ServerInvocationContext`
  Returns:
    the url context

### getQueryParameterMap

    public org.jboss.portal.common.util.ParameterMap getQueryParameterMap()

  Description copied from interface: `ServerInvocationContext`
  Return the parameter map decoded form the query string.

  Specified by:
    `getQueryParameterMap` in interface `ServerInvocationContext`

### getBodyParameterMap

    public org.jboss.portal.common.util.ParameterMap getBodyParameterMap()

  Description copied from interface: `ServerInvocationContext`
  Return the parameter map for the body if the request was a POST with the content type x-www-formurlencoded otherwise return null.

  Specified by:
    `getBodyParameterMap` in interface `ServerInvocationContext`
  Returns:
    the body parameter map

### getPortalRequestPath

    public java.lang.String getPortalRequestPath()

  Description copied from interface: `ServerInvocationContext`
  Return the value of the portal request path for this request.

  Specified by:
    `getPortalRequestPath` in interface `ServerInvocationContext`
  Returns:
    the portal request path

### getPortalContextPath

    public java.lang.String getPortalContextPath()

  Description copied from interface: `ServerInvocationContext`
  Return the value of the portal context path for this request.

  Specified by:
    `getPortalContextPath` in interface `ServerInvocationContext`
  Returns:
    the portal context path

### getPortalHost

    public java.lang.String getPortalHost()

  Description copied from interface: `ServerInvocationContext`
  Return the portal host value for this request.

  Specified by:
    `getPortalHost` in interface `ServerInvocationContext`
  Returns:
    the portal host

### renderURL

    public java.lang.String renderURL(ServerURL url,
                                      URLContext context,
                                      URLFormat format)

  Description copied from interface: `ServerInvocationContext`
  Renders an URL.

  Specified by:
    `renderURL` in interface `ServerInvocationContext`
  Parameters:
    `url` - the url structure
    `context` - the url context
    `format` - the url format
  Returns:
    the encoded url

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD